Method: projects.locations.runtimes.start

מפעיל סביבת ריצה של מחברת מנוהלת. מבצעים פעולת 'התחלה' במופעי GPU ופעולת 'הפעלה מחדש' במופעי CPU. למידע נוסף: https://cloud.google.com/compute/docs/instances/stop-start-instance https://cloud.google.com/compute/docs/instances/suspend-resume-instance

בקשת HTTP

POST https://notebooks.googleapis.com/v1/{name}:start

פרמטרים של נתיב

פרמטרים
name

string

חובה. פורמט: projects/{projectId}/locations/{location}/runtimes/{runtimeId}

כדי לתת הרשאה, צריך את הרשאת IAM הבאה במשאב שצוין name:

  • notebooks.runtimes.start

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "requestId": string
}
שדות
requestId

string

מזהה ייחודי אוניברסלי (UUID) של בקשה אידמפוטנטית.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של Operation.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

ניתן למצוא מידע נוסף כאן: Authentication Overview.